Name:           gnome-chemistry-utils
Version:        0.8.3
Release:        1%{?dist}
Summary:        A set of chemical utilities

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.nongnu.org/gchemutils/
Source0:        http://download.savannah.nongnu.org/releases/gchemutils/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openbabel-devel >= 2.1.0
BuildRequires:  goffice04-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  gtkglext-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  firefox-devel
BuildRequires:  man
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  chemical-mime-data
BuildRequires:  bodr
BuildRequires:  kdelibs
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils
Requires:       chemical-mime-data

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
This package is a set of chemical utils. Four programs are available:
* A 3D molecular structure viewer (GChem3Viewer).
* A Chemical calculator (GChemCalc).
* A periodic table of the elements application (GChemTable).
* A crystalline structure editor (GCrystal).

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libgnomeui-devel
Requires:       libgnomeprintui22-devel
Requires:       gtkglext-devel
Requires:       openbabel-devel
Requires:       goffice04-devel
Requires:       pkgconfig

%description    devel
This package is a set of chemical utils. Four programs are available:
* A 3D molecular structure viewer (GChem3Viewer).
* A Chemical calculator (GChemCalc).
* A periodic table of the elements application (GChemTable).
* A crystalline structure editor (GCrystal).
This package contains development files for %{name}

%package        mozplugin
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{_libdir}/mozilla/plugins

%description    mozplugin
This package is a set of chemical utils. Four programs are available:
* A 3D molecular structure viewer (GChem3Viewer).
* A Chemical calculator (GChemCalc).
* A periodic table of the elements application (GChemTable).
* A crystalline structure editor (GCrystal).
This package contains the mozilla plugin


%prep
%setup -q


%build
%configure --disable-update-databases \
           --disable-schemas-install \
           --disable-scrollkeeper \
           --with-mozilla-libdir=%{_libdir}/mozilla
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gchem3d-viewer.desktop
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gchemcalc.desktop
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gchemtable.desktop
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gcrystal.desktop
%find_lang gchemutils

#kill libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/libgcu.la
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/libmozgcu.la

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gcrystal.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gcrystal.schemas > /dev/null || :
killall -HUP gconfd-2 || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
scrollkeeper-update -q -o %{_datadir}/omf/gchem3d-viewer || :
scrollkeeper-update -q -o %{_datadir}/omf/gchemcalc || :
scrollkeeper-update -q -o %{_datadir}/omf/gchemtable || :
scrollkeeper-update -q -o %{_datadir}/omf/gcrystal || :
/sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gcrystal.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
scrollkeeper-update -q || :
/sbin/ldconfig


%files -f gchemutils.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/gchem3d-viewer
%{_bindir}/gchemcalc
%{_bindir}/gchemtable
%{_bindir}/gcrystal
%{_datadir}/applications/fedora-gchem3d-viewer.desktop
%{_datadir}/applications/fedora-gchemcalc.desktop
%{_datadir}/applications/fedora-gchemtable.desktop
%{_datadir}/applications/fedora-gcrystal.desktop
%{_libdir}/libgcu.so.*
%{_libexecdir}/chem-viewer
%{_datadir}/gchemutils
%{_datadir}/gnome/help/gchem3d-viewer
%{_datadir}/gnome/help/gchemcalc
%{_datadir}/gnome/help/gchemtable
%{_datadir}/gnome/help/gcrystal
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/mimetypes/gnome-mime-application-x-gcrystal.png
%{_datadir}/mime/packages/gchemutils.xml
%{_mandir}/man1/gchem3d-viewer.1*
%{_mandir}/man1/gchemcalc.1*
%{_mandir}/man1/gchemtable.1*
%{_mandir}/man1/gcrystal.1*
%{_mandir}/man3/libgcu.3*
%{_sysconfdir}/gconf/schemas/gcrystal.schemas
%{_datadir}/mimelnk
%{_datadir}/omf/gchem3d-viewer
%{_datadir}/omf/gchemcalc
%{_datadir}/omf/gchemtable
%{_datadir}/omf/gcrystal

%files devel
%defattr(-,root,root,-)
%doc docs/reference/html
%{_includedir}/gcu
%{_libdir}/libgcu.so
%{_libdir}/pkgconfig/gcu.pc

%files mozplugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libmozgcu.so


%changelog
* Mon Sep 17 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.3-1
- Updated to 0.8.3

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-4
- Adjusted License tag as per latest guidelines

* Mon Aug  6 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-3
- Added goffice04-devel to -devel subpackage Requires

* Sat Aug  4 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-2
- Added gnome-doc-utils to BuildRequires

* Sun Jul 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-1
- Updated to 0.8.2
- Added scrollkeeper stuff
- Added missing GConf Requires

* Fri Jun 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.1-1
- Updated to 0.8.1

* Sun May 20 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.0-1
- Updated to 0.8.0
- Added %%{_libdir}/mozilla/plugins to -mozplugin subpackage Requires

* Thu May 10 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.96-1
- Updated to 0.7.96

* Wed May  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.95-1
- Updated to 0.7.95

* Sat Apr 21 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.91-1
- Updated to 0.7.91

* Mon Apr  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.5-1
- Updated to 0.6.5
- Switched to bzip2 sources
- Added rpath killer

* Sun Jan 14 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.4-1
- Updated to 0.6.4

* Tue Dec 19 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-5
- Rebuild for new openbabel

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-4
- Removed obsolete stuff
- Fixed support for chemical-mime-data
- Removed --add-category X-Fedora from desktop-file-install command

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-3
- Added doxygen to BuildRequires
- Added support for chemical-mime-data

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-2
- Fixed Requires for -devel and -mozplugin packages
- Moved files in docs/reference/html to the devel package
- Install .desktop files using desktop-file-install
- Removed redundant stuff
- Preserve timestamps

* Sat Dec 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-1
- Initial RPM release
